=== debian/changelog ===
python-coverage (7.2.7+dfsg1-1deepin1) unstable; urgency=medium

  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 08 Jul 2024 09:54:41 +0200

python-coverage (7.2.7+dfsg1-1) unstable; urgency=medium

  * The “Adele Puglisi” release.
  * Note that release 6.5.0+dfsg1-3 Closes: bug#1040850.
    The previous changelog entry gave the incorrect bug report number.
  * New upstream version.
    Highlights since previous release:
    * Changes to filename pattern matching and path remapping.
      These might require changing configuration for Coverage.py.
      See the “Migrating between versions” section of the documentation.
    * New output formats for ‘report’.
    * Empty source file no longer fails with ‘--fail-under’.
    * Filename parameters in API now also accept a ‘pathlib.Path’ object.
  * Refresh patches for new upstream version.

 -- Ben Finney <bignose@debian.org>  Sun, 23 Jul 2023 13:49:58 +1000

python-coverage (6.5.0+dfsg1-3) unstable; urgency=medium

  * Declare conformance to “Standards-Version: 4.6.2”.
    No additional changes required.
  * Explicitly mark superficial AutoPkgTest cases.
  * Use external package ‘python3-package-smoke-test’ for AutoPkgTest.
    Closes: bug#1040846. Thanks to Matthias Klose for the report.
  * debian/tests/smoke_test.py:
    * Remove unused test helper module, now migrated to external package.

 -- Ben Finney <bignose@debian.org>  Fri, 21 Jul 2023 14:59:32 +1000
