=== debian/rules ===
--- 
+++ 
@@ -129,8 +129,7 @@
 
 
 
-# Copyright © 2010–2022 Ben Finney <bignose@debian.org>
-#
+# Copyright © 2010–2023 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.
