## python-coverage 7.3.2

=== debian/changelog ===
python-coverage (7.3.2-0ubuntu1) noble; urgency=medium

  * New upstream version.
  * Build without the sphinx_code_tabs sphinx extension.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2023 15:44:43 +0100

python-coverage (7.2.7+dfsg1-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:39:20 +0000
