## python-coverage 7.4.4+dfsg1

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,17 @@
 
 .DEFAULT_GOAL := help
 
+
 ##@ Utilities
 
 .PHONY: help clean_platform clean sterile
 
-clean_platform:
+help:					## Show this help.
+	@# Adapted from https://www.thapaliya.com/en/writings/well-documented-makefiles/
+	@echo Available targets:
+	@awk -F ':.*##' '/^[^: ]+:.*##/{printf "  \033[1m%-20s\033[m %s\n",$$1,$$2} /^##@/{printf "\n%s\n",substr($$0,5)}' $(MAKEFILE_LIST)
+
+_clean_platform:
 	@rm -f *.so */*.so
 	@rm -f *.pyd */*.pyd
 	@rm -rf __pycache__ */__pycache__ */*/__pycache__ */*/*/__pycache__ */*/*/*/__pycache__ */*/*/*/*/__pycache__
@@ -17,7 +23,10 @@
 	@rm -f *.pyo */*.pyo */*/*.pyo */*/*/*.pyo */*/*/*/*.pyo */*/*/*/*/*.pyo
 	@rm -f *$$py.class */*$$py.class */*/*$$py.class */*/*/*$$py.class */*/*/*/*$$py.class */*/*/*/*/*$$py.class
 
-clean: clean_platform			## Remove artifacts of test execution, installation, etc.
+debug_clean:				## Delete various debugging artifacts.
+	@rm -rf /tmp/dis $$COVERAGE_DEBUG_FILE
+
+clean: debug_clean _clean_platform	## Remove artifacts of test execution, installation, etc.
 	@echo "Cleaning..."
 	@-pip uninstall -yq coverage
 	@mkdir -p build	# so the chmod won't fail if build doesn't exist
@@ -26,13 +35,14 @@
 	@rm -f *.bak */*.bak */*/*.bak */*/*/*.bak */*/*/*/*.bak */*/*/*/*/*.bak
 	@rm -f coverage/*,cover
 	@rm -f MANIFEST
-	@rm -f .coverage .coverage.* coverage.xml coverage.json .metacov*
+	@rm -f .coverage .coverage.* .metacov*
+	@rm -f coverage.xml coverage.json
 	@rm -f .tox/*/lib/*/site-packages/zzz_metacov.pth
 	@rm -f */.coverage */*/.coverage */*/*/.coverage */*/*/*/.coverage */*/*/*/*/.coverage */*/*/*/*/*/.coverage
 	@rm -f tests/covmain.zip tests/zipmods.zip tests/zip1.zip
 	@rm -rf doc/_build doc/_spell doc/sample_html_beta
 	@rm -rf tmp
-	@rm -rf .cache .hypothesis .*_cache
+	@rm -rf .*cache */.*cache */*/.*cache */*/*/.*cache .hypothesis
 	@rm -rf tests/actual
 	@-make -C tests/gold/html clean
 
@@ -40,10 +50,6 @@
 	rm -rf .tox
 	rm -f cheats.txt
 
-help:					## Show this help.
-	@# Adapted from https://www.thapaliya.com/en/writings/well-documented-makefiles/
-	@echo Available targets:
-	@awk -F ':.*##' '/^[^: ]+:.*##/{printf "  \033[1m%-20s\033[m %s\n",$$1,$$2} /^##@/{printf "\n%s\n",substr($$0,5)}' $(MAKEFILE_LIST)
 
 ##@ Tests and quality checks
 
@@ -55,11 +61,11 @@
 PYTEST_SMOKE_ARGS = -n auto -m "not expensive" --maxfail=3 $(ARGS)
 
 smoke: 					## Run tests quickly with the C tracer in the lowest supported Python versions.
-	COVERAGE_NO_PYTRACER=1 tox -q -e py37 -- $(PYTEST_SMOKE_ARGS)
+	COVERAGE_TEST_CORES=ctrace tox -q -e py38 -- $(PYTEST_SMOKE_ARGS)
 
 
 ##@ Metacov: coverage measurement of coverage.py itself
-# 	See metacov.ini for details.
+# See metacov.ini for details.
 
 .PHONY: metacov metahtml metasmoke
 
@@ -70,7 +76,7 @@
 	python igor.py combine_html
 
 metasmoke:
-	COVERAGE_NO_PYTRACER=1 ARGS="-e py39" make metacov metahtml
+	COVERAGE_TEST_CORES=ctrace ARGS="-e py39" make metacov metahtml
 
 
 ##@ Requirements management
@@ -84,11 +90,21 @@
 # in requirements/pins.pip, and search for "windows" in .in files to find pins
 # and extra requirements that have been needed, but might be obsolete.
 
-.PHONY: upgrade
-
-PIP_COMPILE = pip-compile --upgrade --allow-unsafe --resolver=backtracking
-upgrade: export CUSTOM_COMPILE_COMMAND=make upgrade
+.PHONY: upgrade doc_upgrade diff_upgrade
+
+DOCBIN = .tox/doc/bin
+
+
+PIP_COMPILE = pip-compile ${COMPILE_OPTS} --allow-unsafe --resolver=backtracking
 upgrade: 				## Update the *.pip files with the latest packages satisfying *.in files.
+	$(MAKE) _upgrade COMPILE_OPTS="--upgrade"
+
+upgrade_one:				## Update the *.pip files for one package. `make upgrade-one package=...`
+	@test -n "$(package)" || { echo "\nUsage: make upgrade-one package=...\n"; exit 1; }
+	$(MAKE) _upgrade COMPILE_OPTS="--upgrade-package $(package)"
+
+_upgrade: export CUSTOM_COMPILE_COMMAND=make upgrade
+_upgrade:
 	pip install -q -r requirements/pip-tools.pip
 	$(PIP_COMPILE) -o requirements/pip-tools.pip requirements/pip-tools.in
 	$(PIP_COMPILE) -o requirements/pip.pip requirements/pip.in
@@ -97,9 +113,12 @@
 	$(PIP_COMPILE) -o requirements/tox.pip requirements/tox.in
 	$(PIP_COMPILE) -o requirements/dev.pip requirements/dev.in
 	$(PIP_COMPILE) -o requirements/light-threads.pip requirements/light-threads.in
-	$(PIP_COMPILE) -o doc/requirements.pip doc/requirements.in
-	$(PIP_COMPILE) -o requirements/lint.pip doc/requirements.in requirements/dev.in
 	$(PIP_COMPILE) -o requirements/mypy.pip requirements/mypy.in
+
+doc_upgrade: export CUSTOM_COMPILE_COMMAND=make doc_upgrade
+doc_upgrade: $(DOCBIN)			## Update the doc/requirements.pip file
+	$(DOCBIN)/pip install -q -r requirements/pip-tools.pip
+	$(DOCBIN)/$(PIP_COMPILE) --upgrade -o doc/requirements.pip doc/requirements.in
 
 diff_upgrade:				## Summarize the last `make upgrade`
 	@# The sort flags sort by the package name first, then by the -/+, and
@@ -110,6 +129,7 @@
 	@#	+build==0.10.0
 	@git diff -U0 | grep -v '^@' | grep == | sort -k1.2,1.99 -k1.1,1.1r -u -V
 
+
 ##@ Pre-builds for prepping the code
 
 .PHONY: css workflows prebuild
@@ -153,24 +173,25 @@
 
 ##@ Kitting: making releases
 
-.PHONY: kit kit_upload test_upload kit_local build_kits download_kits check_kits tag
-.PHONY: update_stable comment_on_fixes
+.PHONY: edit_for_release cheats relbranch relcommit1 relcommit2
+.PHONY: kit kit_upload test_upload kit_local build_kits download_kits check_kits
+.PHONY: tag bump_version
 
 REPO_OWNER = nedbat/coveragepy
 
-edit_for_release:			## Edit sources to insert release facts.
+edit_for_release:			#: Edit sources to insert release facts (see howto.txt).
 	python igor.py edit_for_release
 
 cheats:					## Create some useful snippets for releasing.
 	python igor.py cheats | tee cheats.txt
 
-relbranch:				## Create the branch for releasing.
+relbranch:				#: Create the branch for releasing (see howto.txt).
 	git switch -c nedbat/release-$$(date +%Y%m%d)
 
-relcommit1:				## Commit the first release changes.
+relcommit1:				#: Commit the first release changes (see howto.txt).
 	git commit -am "docs: prep for $$(python setup.py --version)"
 
-relcommit2:				## Commit the latest sample HTML report.
+relcommit2:				#: Commit the latest sample HTML report (see howto.txt).
 	git commit -am "docs: sample HTML for $$(python setup.py --version)"
 
 kit:					## Make the source distribution.
@@ -195,20 +216,17 @@
 	python ci/trigger_build_kits.py $(REPO_OWNER)
 
 download_kits:				## Download the built kits from GitHub.
-	python ci/download_gha_artifacts.py $(REPO_OWNER)
+	python ci/download_gha_artifacts.py $(REPO_OWNER) 'dist-*' dist
 
 check_kits:				## Check that dist/* are well-formed.
 	python -m twine check dist/*
-
-tag:					## Make a git tag with the version number.
-	git tag -a -m "Version $$(python setup.py --version)" $$(python setup.py --version)
+	@echo $$(ls -1 dist | wc -l) distribution kits
+
+tag:					#: Make a git tag with the version number (see howto.txt).
+	git tag -s -m "Version $$(python setup.py --version)" $$(python setup.py --version)
 	git push --follow-tags
 
-update_stable:				## Set the stable branch to the latest release.
-	git branch -f stable $$(python setup.py --version)
-	git push origin stable
-
-bump_version:				## Edit sources to bump the version after a release.
+bump_version:				#: Edit sources to bump the version after a release (see howto.txt).
 	git switch -c nedbat/bump-version
 	python igor.py bump_version
 	git commit -a -m "build: bump version"
@@ -219,33 +237,34 @@
 
 .PHONY: cogdoc dochtml docdev docspell
 
-DOCBIN = .tox/doc/bin
 SPHINXOPTS = -aE
 SPHINXBUILD = $(DOCBIN)/sphinx-build $(SPHINXOPTS)
 SPHINXAUTOBUILD = $(DOCBIN)/sphinx-autobuild --port 9876 --ignore '.git/**' --open-browser
+
+$(DOCBIN):
+	tox -q -e doc --notest
+
+cogdoc: $(DOCBIN)			## Run docs through cog.
+	$(DOCBIN)/python -m cogapp -crP --verbosity=1 doc/*.rst
+
+dochtml: cogdoc $(DOCBIN)		## Build the docs HTML output.
+	$(SPHINXBUILD) -b html doc doc/_build/html
+
+docdev: dochtml				## Build docs, and auto-watch for changes.
+	PATH=$(DOCBIN):$(PATH) $(SPHINXAUTOBUILD) -b html doc doc/_build/html
+
+docspell: $(DOCBIN)			## Run the spell checker on the docs.
+	# Very mac-specific...
+	PYENCHANT_LIBRARY_PATH=/opt/homebrew/lib/libenchant-2.dylib $(SPHINXBUILD) -b spelling doc doc/_spell
+
+
+##@ Publishing docs
+
+.PHONY: publish publishbeta relnotes_json github_releases comment_on_fixes
+
 WEBHOME = ~/web/stellated
 WEBSAMPLE = $(WEBHOME)/files/sample_coverage_html
 WEBSAMPLEBETA = $(WEBHOME)/files/sample_coverage_html_beta
-
-$(DOCBIN):
-	tox -q -e doc --notest
-
-cogdoc: $(DOCBIN)			## Run docs through cog.
-	$(DOCBIN)/python -m cogapp -crP --verbosity=1 doc/*.rst
-
-dochtml: cogdoc $(DOCBIN)		## Build the docs HTML output.
-	$(SPHINXBUILD) -b html doc doc/_build/html
-
-docdev: dochtml				## Build docs, and auto-watch for changes.
-	PATH=$(DOCBIN):$(PATH) $(SPHINXAUTOBUILD) -b html doc doc/_build/html
-
-docspell: $(DOCBIN)			## Run the spell checker on the docs.
-	$(SPHINXBUILD) -b spelling doc doc/_spell
-
-
-##@ Publishing docs
-
-.PHONY: publish publishbeta relnotes_json github_releases
 
 publish:				## Publish the sample HTML report.
 	rm -f $(WEBSAMPLE)/*.*
@@ -269,7 +288,7 @@
 	$(DOCBIN)/python ci/parse_relnotes.py tmp/rst_rst/changes.md $(RELNOTES_JSON)
 
 github_releases: $(DOCBIN)		## Update GitHub releases.
-	$(DOCBIN)/python -m scriv github-release
+	$(DOCBIN)/python -m scriv github-release --all
 
 comment_on_fixes: $(RELNOTES_JSON)	## Add a comment to issues that were fixed.
 	python ci/comment_on_fixes.py $(REPO_OWNER)
