=== debian/changelog ===
python-coverage (7.4.4+dfsg1-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:04:12 +0000

python-coverage (7.4.4+dfsg1-0ubuntu1) noble; urgency=medium

  * New upstream release, required for Python 3.12.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Mar 2024 14:45:43 +0100
