=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-coverage
-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
