## python-coverage 7.6.0%2Bdfsg1

=== debian/changelog ===
python-coverage (7.6.0+dfsg1-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:20:56 +0000

python-coverage (7.6.0+dfsg1-2) unstable; urgency=medium

  * Remove unused “Depends: python3-pkg-resources”.
    Closes: bug#1083621.
  * Remove specified minimum Python version.
    All supported Debian releases now provide Python 3.9 or later.

 -- Ben Finney <bignose@debian.org>  Mon, 21 Oct 2024 13:19:25 +1100

python-coverage (7.6.0+dfsg1-1) unstable; urgency=medium

  * The “Margaret Hamilton” release.
  * New upstream version.
    Highlights since previous release:
    * Support Python version 3.8 – 3.12.
    * Remove deprecated ‘fullcoverage’ CPython feature.
    * Reporting now includes coverage by function and class (in addition
      to coverage by file). Currently in HTML and JSON reports.
    * A module docstring is now never counted as an executable statement.
    * Exclusion regex patterns can now be multi-line.
    * SQLite database performance improved, by ignoring journal files.
    * Combining data files performance improved.
    * Generating HTML report performance improved.
  * Update years of copyright publication.
  * Declare conformance to “Standards-Version: 4.7.0”.
    No additional changes required.
  * debian/control:
    * Add “Build-Depends: python3-sphinx-code-tabs”.
    * Remove obsolete “Build-Depends: python3-sphinx-tabs”.
    * Explicitly declare build dependency for PyBuild PEP 517 support.
    * Declare minimum supported Python 3 version.
  * debian/rules:
    * Clean auto-generated Python cache from the documentation.

 -- Ben Finney <bignose@debian.org>  Tue, 23 Jul 2024 13:05:27 +1000
