## python-coverage 7.6.0+dfsg1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 ##@ Utilities
 
-.PHONY: help clean_platform clean sterile
+.PHONY: help clean_platform clean sterile install
 
 help:					## Show this help.
 	@# Adapted from https://www.thapaliya.com/en/writings/well-documented-makefiles/
@@ -50,6 +50,9 @@
 	rm -rf .tox
 	rm -f cheats.txt
 
+install:				## Install the developer tools
+	python3 -m pip install -r requirements/dev.pip
+
 
 ##@ Tests and quality checks
 
@@ -73,10 +76,10 @@
 	COVERAGE_COVERAGE=yes tox -q $(ARGS)
 
 metahtml:				## Produce meta-coverage HTML reports.
-	python igor.py combine_html
+	tox exec -q $(ARGS) -- python3 igor.py combine_html
 
 metasmoke:
-	COVERAGE_TEST_CORES=ctrace ARGS="-e py39" make metacov metahtml
+	COVERAGE_TEST_CORES=ctrace ARGS="-e py39" make --keep-going metacov metahtml
 
 
 ##@ Requirements management
@@ -174,7 +177,7 @@
 ##@ Kitting: making releases
 
 .PHONY: edit_for_release cheats relbranch relcommit1 relcommit2
-.PHONY: kit kit_upload test_upload kit_local build_kits download_kits check_kits
+.PHONY: kit pypi_upload test_upload kit_local build_kits
 .PHONY: tag bump_version
 
 REPO_OWNER = nedbat/coveragepy
@@ -192,16 +195,17 @@
 	git commit -am "docs: prep for $$(python setup.py --version)"
 
 relcommit2:				#: Commit the latest sample HTML report (see howto.txt).
+	git add doc/sample_html
 	git commit -am "docs: sample HTML for $$(python setup.py --version)"
 
 kit:					## Make the source distribution.
 	python -m build
 
-kit_upload:				## Upload the built distributions to PyPI.
-	twine upload --verbose dist/*
+pypi_upload:				## Upload the built distributions to PyPI.
+	python ci/trigger_action.py $(REPO_OWNER) publish-pypi
 
 test_upload:				## Upload the distributions to PyPI's testing server.
-	twine upload --verbose --repository testpypi --password $$TWINE_TEST_PASSWORD dist/*
+	python ci/trigger_action.py $(REPO_OWNER) publish-testpypi
 
 kit_local:
 	# pip.conf looks like this:
@@ -213,14 +217,7 @@
 	find ~/Library/Caches/pip/wheels -name 'coverage-*' -delete
 
 build_kits:				## Trigger GitHub to build kits
-	python ci/trigger_build_kits.py $(REPO_OWNER)
-
-download_kits:				## Download the built kits from GitHub.
-	python ci/download_gha_artifacts.py $(REPO_OWNER) 'dist-*' dist
-
-check_kits:				## Check that dist/* are well-formed.
-	python -m twine check dist/*
-	@echo $$(ls -1 dist | wc -l) distribution kits
+	python ci/trigger_action.py $(REPO_OWNER) build-kits
 
 tag:					#: Make a git tag with the version number (see howto.txt).
 	git tag -s -m "Version $$(python setup.py --version)" $$(python setup.py --version)
