=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: python-coverage
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Finney <bignose@debian.org>
+Maintainer: Ben Finney <bignose@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
     dh-python,
+    pybuild-plugin-pyproject,
     python3-sphinx,
+    python3-sphinx-code-tabs,
     python3-sphinx-rtd-theme,
-    python3-sphinx-tabs,
     python3-sphinxcontrib.restbuilder,
     python3-sphinxcontrib.spelling,
     python3-setuptools,
     python3-all-dev,
     python3,
     debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://coverage.readthedocs.io/
 VCS-Git: https://salsa.debian.org/debian/pkg-python-coverage.git
 VCS-Browser: https://salsa.debian.org/debian/pkg-python-coverage/
@@ -23,7 +23,6 @@
 Package: python3-coverage
 Architecture: any
 Depends:
-    python3-pkg-resources,
     ${python3:Depends},
     ${shlibs:Depends},
     ${misc:Depends}
