=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 
 DOCUMENTATION_BUILD_DIR = ${DOCUMENTATION_DIR}/_build
 DOCUMENTATION_BUILD_HTML_DIR = ${DOCUMENTATION_BUILD_DIR}/html
+DOCUMENTATION_BUILD_PYCACHE_DIR = ${DOCUMENTATION_BUILD_HTML_DIR}/_static/__pycache__
 GENERATED_FILES += ${DOCUMENTATION_BUILD_DIR}
 
 INSTALL = install
@@ -93,6 +94,7 @@
 	dh_auto_build --buildsystem=pybuild
 	$(SPHINX) ${SPHINX_OPTS} -bhtml ${DOCUMENTATION_DIR}/ \
 		${DOCUMENTATION_BUILD_HTML_DIR}/
+	$(RM) -r ${DOCUMENTATION_BUILD_PYCACHE_DIR}/
 
 # Upstream test suite doesn't currently run in our build environment.
 override_dh_auto_test:
@@ -129,7 +131,7 @@
 
 
 
-# Copyright © 2010–2023 Ben Finney <bignose@debian.org>
+# Copyright © 2010–2024 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.
