=== debian/tests/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 
 
-# Copyright © 2016–2023 Ben Finney <bignose@debian.org>
+# Copyright © 2016–2024 Ben Finney <bignose@debian.org>
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; version 3 of that license or any later version.
